# Form implementation generated from reading ui file 'src/eric7/Network/IRC/IrcNetworkWidget.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_IrcNetworkWidget(object):
    def setupUi(self, IrcNetworkWidget):
        IrcNetworkWidget.setObjectName("IrcNetworkWidget")
        IrcNetworkWidget.resize(400, 322)
        IrcNetworkWidget.setWindowTitle("")
        self.verticalLayout = QtWidgets.QVBoxLayout(IrcNetworkWidget)
        self.verticalLayout.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout.setSpacing(3)
        self.verticalLayout.setObjectName("verticalLayout")
        self.messages = QtWidgets.QTextBrowser(parent=IrcNetworkWidget)
        self.messages.setContextMenuPolicy(QtCore.Qt.ContextMenuPolicy.CustomContextMenu)
        self.messages.setTabChangesFocus(True)
        self.messages.setOpenLinks(False)
        self.messages.setObjectName("messages")
        self.verticalLayout.addWidget(self.messages)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.networkCombo = QtWidgets.QComboBox(parent=IrcNetworkWidget)
        self.networkCombo.setObjectName("networkCombo")
        self.horizontalLayout_2.addWidget(self.networkCombo)
        self.connectButton = QtWidgets.QToolButton(parent=IrcNetworkWidget)
        self.connectButton.setToolTip("")
        self.connectButton.setText("")
        self.connectButton.setObjectName("connectButton")
        self.horizontalLayout_2.addWidget(self.connectButton)
        self.awayButton = QtWidgets.QToolButton(parent=IrcNetworkWidget)
        self.awayButton.setText("")
        self.awayButton.setObjectName("awayButton")
        self.horizontalLayout_2.addWidget(self.awayButton)
        self.editButton = QtWidgets.QToolButton(parent=IrcNetworkWidget)
        self.editButton.setText("")
        self.editButton.setObjectName("editButton")
        self.horizontalLayout_2.addWidget(self.editButton)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.nickCombo = QtWidgets.QComboBox(parent=IrcNetworkWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.nickCombo.sizePolicy().hasHeightForWidth())
        self.nickCombo.setSizePolicy(sizePolicy)
        self.nickCombo.setEditable(True)
        self.nickCombo.setObjectName("nickCombo")
        self.horizontalLayout.addWidget(self.nickCombo)
        self.line = QtWidgets.QFrame(parent=IrcNetworkWidget)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.VLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.horizontalLayout.addWidget(self.line)
        self.channelCombo = QtWidgets.QComboBox(parent=IrcNetworkWidget)
        self.channelCombo.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.channelCombo.sizePolicy().hasHeightForWidth())
        self.channelCombo.setSizePolicy(sizePolicy)
        self.channelCombo.setEditable(True)
        self.channelCombo.setObjectName("channelCombo")
        self.horizontalLayout.addWidget(self.channelCombo)
        self.joinButton = QtWidgets.QToolButton(parent=IrcNetworkWidget)
        self.joinButton.setEnabled(False)
        self.joinButton.setText("")
        self.joinButton.setObjectName("joinButton")
        self.horizontalLayout.addWidget(self.joinButton)
        self.verticalLayout.addLayout(self.horizontalLayout)

        self.retranslateUi(IrcNetworkWidget)
        QtCore.QMetaObject.connectSlotsByName(IrcNetworkWidget)
        IrcNetworkWidget.setTabOrder(self.networkCombo, self.connectButton)
        IrcNetworkWidget.setTabOrder(self.connectButton, self.awayButton)
        IrcNetworkWidget.setTabOrder(self.awayButton, self.editButton)
        IrcNetworkWidget.setTabOrder(self.editButton, self.nickCombo)
        IrcNetworkWidget.setTabOrder(self.nickCombo, self.channelCombo)
        IrcNetworkWidget.setTabOrder(self.channelCombo, self.joinButton)
        IrcNetworkWidget.setTabOrder(self.joinButton, self.messages)

    def retranslateUi(self, IrcNetworkWidget):
        _translate = QtCore.QCoreApplication.translate
        self.messages.setToolTip(_translate("IrcNetworkWidget", "Shows the network messages"))
        self.networkCombo.setToolTip(_translate("IrcNetworkWidget", "Select a network to connect to"))
        self.awayButton.setToolTip(_translate("IrcNetworkWidget", "Press to set the user status to AWAY"))
        self.editButton.setToolTip(_translate("IrcNetworkWidget", "Press to edit the networks"))
        self.nickCombo.setToolTip(_translate("IrcNetworkWidget", "Select a nick name for the channel"))
        self.channelCombo.setToolTip(_translate("IrcNetworkWidget", "Enter the channel to join"))
        self.joinButton.setToolTip(_translate("IrcNetworkWidget", "Press to join the channel"))
